package com.caimei.controller.products;

import com.caimei.entity.CmMallCart;
import com.caimei.entity.CmMallOperationUser;
import com.caimei.entity.CmMallOrganizeProducts;
import com.caimei.entity.CmWxJsonModel;
import com.caimei.service.products.DetailsService;
import com.caimei.service.user.LoginService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;

/**
 * 详情页面
 */
@Controller
@RequestMapping("/details")
public class DetailsController {
    @Autowired
    private DetailsService detailsService;
    @Autowired
    private LoginService loginService;

    /**
     * 商品详情页
     *
     * @return
     */
    @ResponseBody
    @RequestMapping("/product")
    public CmWxJsonModel productDetails(Integer id, Integer userID) {
        CmMallOrganizeProducts organizeProducts = detailsService.productDetails(id, userID);
        return CmWxJsonModel.newInstance().success(organizeProducts);
    }

    /**
     * 加入购物车
     *
     * @return
     */
    @ResponseBody
    @RequestMapping("/addCart")
    public synchronized CmWxJsonModel addCart(@RequestBody CmMallCart cmMallCart, HttpServletRequest request) {
        CmWxJsonModel model = CmWxJsonModel.newInstance();
        if (cmMallCart == null) return model.error("参数异常");
        String openid = (String) request.getSession().getAttribute("openid");
        CmMallOperationUser operationUser = loginService.doLogin(openid, cmMallCart.getOrganizeID());
        if (operationUser == null) return model.error("账户异常");
        Integer count = 0;
        try {
            count = detailsService.saveCart(cmMallCart);
        } catch (Exception e) {
            return model.error("加入购物车失败");
        }
        return model.success("加入购物车成功", count);
    }
}
