package com.caimei.entity;


import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 物流跟踪信息Entity
 *
 * @author 李俊
 * @version 2019-12-17
 */
public class CmMallLogisticsInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    private Integer type;//类型：1 采美365  2 呵呵商城
    private Long orderID;//订单ID
    private Integer logisticsBatchID;//发货批次表ID
    private Integer shopOrderID;//子订单ID
    private Integer orderProductID;//订单商品ID
    private String nu;//快递单号
    private Integer state;//快递单当前的状态0：在途 1：揽件 2：疑难3：签收4：退签5：派件6：退回
    private String info;//物流跟踪信息
    private String logisticsCompanyName;//物流公司名称
    private String logisticsCompanyCode;//物流公司代码
    private Long shopID;//供应商ID
    private Date updateDate;//最后更新时间
    private String remarks;//备注
    @DateTimeFormat(pattern = "yyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date deliveryTime; //发货时间

    private List<CmMallRouter> routers = new ArrayList<>();//此对象使用在转换info格式提供前端使用。JSONArray.parseArray(info, CmMallRouter.class)
    private List<CmMallLogisticsRecord> logisticsRecordList;    //物流批次

    public List<CmMallLogisticsRecord> getLogisticsRecordList() {
        return logisticsRecordList;
    }

    public void setLogisticsRecordList(List<CmMallLogisticsRecord> logisticsRecordList) {
        this.logisticsRecordList = logisticsRecordList;
    }

    public CmMallLogisticsInfo() {
    }

    public CmMallLogisticsInfo(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Long getOrderID() {
        return orderID;
    }

    public void setOrderID(Long orderID) {
        this.orderID = orderID;
    }

    public Integer getLogisticsBatchID() {
        return logisticsBatchID;
    }

    public void setLogisticsBatchID(Integer logisticsBatchID) {
        this.logisticsBatchID = logisticsBatchID;
    }

    public Integer getShopOrderID() {
        return shopOrderID;
    }

    public void setShopOrderID(Integer shopOrderID) {
        this.shopOrderID = shopOrderID;
    }

    public Integer getOrderProductID() {
        return orderProductID;
    }

    public void setOrderProductID(Integer orderProductID) {
        this.orderProductID = orderProductID;
    }

    public String getNu() {
        return nu;
    }

    public void setNu(String nu) {
        this.nu = nu;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }

    public String getLogisticsCompanyName() {
        return logisticsCompanyName;
    }

    public void setLogisticsCompanyName(String logisticsCompanyName) {
        this.logisticsCompanyName = logisticsCompanyName;
    }

    public String getLogisticsCompanyCode() {
        return logisticsCompanyCode;
    }

    public void setLogisticsCompanyCode(String logisticsCompanyCode) {
        this.logisticsCompanyCode = logisticsCompanyCode;
    }

    public Long getShopID() {
        return shopID;
    }

    public void setShopID(Long shopID) {
        this.shopID = shopID;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public List<CmMallRouter> getRouters() {
        return routers;
    }

    public void setRouters(List<CmMallRouter> routers) {
        this.routers = routers;
    }

    public Date getDeliveryTime() {
        return deliveryTime;
    }

    public void setDeliveryTime(Date deliveryTime) {
        this.deliveryTime = deliveryTime;
    }
}
