package com.caimei.entity;


import java.io.Serializable;
import java.util.List;

/**
 * 子订单Entity
 *
 * @author 李俊
 * @version 2019-12-17
 */
public class CmMallShopOrder implements Serializable {

    private static final long serialVersionUID = 1L;
    private Integer shopOrderID;        // 子订单ID
    private Integer  organizeID;     //采美组织默认为null,具体对应cm_mall_organize表ID
    private String shopOrderNo;        // 子订单编号
    private String orderNo;        // 订单编号
    private Integer orderID;        // 主订单ID
    private Integer userID;        // 用户Id
    private Integer shopID;        // 供应商Id
    private String shopName;//供应商名称
    private String shopLogo;    //供应商logo
    private Integer orderSubmitType;        // 订单提交类型  星范订单暂时无数据
    private Integer orderType;// 订单类型 1 自主  0 协销
    private Integer itemCount;        // 购买数量
    private Integer presentNum;     //赠品数
    private Integer productNum;     //订单商品数
    private Double productAmount;  // 商品总金额
    private Double preferential;    //优惠金额
    private Double totalAddedValueTax;    //总税费
    private Double discountFee;        // 折扣金额
    private Double accountAmount;        // 余额支付时使用的金额
    private Double totalAmount;        // 订单总额
    private String payFlag;        // 是否已支付：1是，0否
    private String orderTime;        // 提交时间
    private String payTime;        // 支付时间
    private String deliveryTimeMills;        // 全部发货时间
    private String receiveGoodsTime;        // 收货时间
    private String finishTime;        // 订单完成时间
    private Double discountAmount;//     float,
    private Integer refundStatus;        // refundStatus
    private Double needPayAmount;        // 需要支付金额 = 总金额 - 采美豆 - 余额 - 折扣-其它
    private Double canRefundAmount;        // 可退款金额 = 余额抵扣金额
    private Double refundAmount;        // 退款金额
    private Integer canRefundFlag;        // 是否可以退货 1可以退款/退货 0不可退款/退货
    private Integer useBalanceFlag;        // 是否使用余额
    private Integer orderDeliveryID;        // 运费订单ID
    private Double refundsAmount;        // 订单退款金额
    private String orderStatusFlag;        // 订单状态标识，1:非退货退款订单、2：退货退款中、3退货退款完成
    private String delFlag;
    private String note;            //订单提交时备注
    private String splitFlag;       //是否可以拆单
    private long autoReceiveTimeMills;//订单自动收货时间
    private long autoOverTimeMills;//订单完成无售后时间
    private Integer outStoreNum;//已经发货的商品数量
    private Integer outStoreTimes;//第几批发货  default 0
    private Integer returnGoodsStatus;
    private List<CmMallOrderProduct> cmOrderProducts; //订单商品信息
    private CmMallUserInvoiceInfo orderInvoice;//订单发票信息
    private List<CmMallLogisticsInfo> logisticsInfos;//订单快递信息
    private List<CmMallLogisticsBatch> cmLogisticsBatches;//物流批次信息
    private List<CmMallLogisticsRecord> cmLogisticsRecords; //发货物流记录
    private String payStatus;   //(付款供应商)付款状态：1待付款、2部分付款、3已付款'
    private String sendOutStatus;   //发货状态：1待发货、2部分发货、3已发货
    private Double shopProductAmount; //商品费
    private Double shopPostFee; //付给供应商运费
    private Double shopTaxFee; //付给供应商税费
    private Double shouldPayShopAmount;//付供应商 = 商品费 + 运费 + 税费
    private Double payedShopAmount; //已付款金额
    private Double shopOtherFee; //付第三方
    private Integer clubID;//会所ID
    private Integer spID;
    private Integer mainSpID;
    private Double brokerage;
    private String buyStatus;
    private Integer useBeanAmount;
    private Integer useBeanFlag;
    private Integer townID;
    private Double fee;




    public Integer getShopOrderID() {
        return shopOrderID;
    }

    public void setShopOrderID(Integer shopOrderID) {
        this.shopOrderID = shopOrderID;
    }

    public String getShopOrderNo() {
        return shopOrderNo;
    }

    public void setShopOrderNo(String shopOrderNo) {
        this.shopOrderNo = shopOrderNo;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getOrderID() {
        return orderID;
    }

    public void setOrderID(Integer orderID) {
        this.orderID = orderID;
    }

    public Integer getUserID() {
        return userID;
    }

    public void setUserID(Integer userID) {
        this.userID = userID;
    }

    public Integer getShopID() {
        return shopID;
    }

    public void setShopID(Integer shopID) {
        this.shopID = shopID;
    }

    public String getShopLogo() {
        return shopLogo;
    }

    public void setShopLogo(String shopLogo) {
        this.shopLogo = shopLogo;
    }

    public Integer getOrderSubmitType() {
        return orderSubmitType;
    }

    public void setOrderSubmitType(Integer orderSubmitType) {
        this.orderSubmitType = orderSubmitType;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getItemCount() {
        return itemCount;
    }

    public void setItemCount(Integer itemCount) {
        this.itemCount = itemCount;
    }

    public Integer getPresentNum() {
        return presentNum;
    }

    public void setPresentNum(Integer presentNum) {
        this.presentNum = presentNum;
    }

    public Integer getProductNum() {
        return productNum;
    }

    public void setProductNum(Integer productNum) {
        this.productNum = productNum;
    }

    public Double getProductAmount() {
        return productAmount;
    }

    public void setProductAmount(Double productAmount) {
        this.productAmount = productAmount;
    }

    public Double getPreferential() {
        return preferential;
    }

    public void setPreferential(Double preferential) {
        this.preferential = preferential;
    }

    public Double getTotalAddedValueTax() {
        return totalAddedValueTax;
    }

    public void setTotalAddedValueTax(Double totalAddedValueTax) {
        this.totalAddedValueTax = totalAddedValueTax;
    }

    public Double getDiscountFee() {
        return discountFee;
    }

    public void setDiscountFee(Double discountFee) {
        this.discountFee = discountFee;
    }

    public Double getAccountAmount() {
        return accountAmount;
    }

    public void setAccountAmount(Double accountAmount) {
        this.accountAmount = accountAmount;
    }

    public Double getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(Double totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getPayFlag() {
        return payFlag;
    }

    public void setPayFlag(String payFlag) {
        this.payFlag = payFlag;
    }

    public String getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(String orderTime) {
        this.orderTime = orderTime;
    }

    public String getPayTime() {
        return payTime;
    }

    public void setPayTime(String payTime) {
        this.payTime = payTime;
    }

    public String getDeliveryTimeMills() {
        return deliveryTimeMills;
    }

    public void setDeliveryTimeMills(String deliveryTimeMills) {
        this.deliveryTimeMills = deliveryTimeMills;
    }

    public String getReceiveGoodsTime() {
        return receiveGoodsTime;
    }

    public void setReceiveGoodsTime(String receiveGoodsTime) {
        this.receiveGoodsTime = receiveGoodsTime;
    }

    public String getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(String finishTime) {
        this.finishTime = finishTime;
    }

    public Double getDiscountAmount() {
        return discountAmount;
    }

    public void setDiscountAmount(Double discountAmount) {
        this.discountAmount = discountAmount;
    }

    public Integer getRefundStatus() {
        return refundStatus;
    }

    public void setRefundStatus(Integer refundStatus) {
        this.refundStatus = refundStatus;
    }

    public Double getNeedPayAmount() {
        return needPayAmount;
    }

    public void setNeedPayAmount(Double needPayAmount) {
        this.needPayAmount = needPayAmount;
    }

    public Double getCanRefundAmount() {
        return canRefundAmount;
    }

    public void setCanRefundAmount(Double canRefundAmount) {
        this.canRefundAmount = canRefundAmount;
    }

    public Double getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(Double refundAmount) {
        this.refundAmount = refundAmount;
    }

    public Integer getCanRefundFlag() {
        return canRefundFlag;
    }

    public void setCanRefundFlag(Integer canRefundFlag) {
        this.canRefundFlag = canRefundFlag;
    }

    public Integer getUseBalanceFlag() {
        return useBalanceFlag;
    }

    public void setUseBalanceFlag(Integer useBalanceFlag) {
        this.useBalanceFlag = useBalanceFlag;
    }

    public Integer getOrderDeliveryID() {
        return orderDeliveryID;
    }

    public void setOrderDeliveryID(Integer orderDeliveryID) {
        this.orderDeliveryID = orderDeliveryID;
    }

    public Double getRefundsAmount() {
        return refundsAmount;
    }

    public void setRefundsAmount(Double refundsAmount) {
        this.refundsAmount = refundsAmount;
    }

    public String getOrderStatusFlag() {
        return orderStatusFlag;
    }

    public void setOrderStatusFlag(String orderStatusFlag) {
        this.orderStatusFlag = orderStatusFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getSplitFlag() {
        return splitFlag;
    }

    public void setSplitFlag(String splitFlag) {
        this.splitFlag = splitFlag;
    }

    public long getAutoReceiveTimeMills() {
        return autoReceiveTimeMills;
    }

    public void setAutoReceiveTimeMills(long autoReceiveTimeMills) {
        this.autoReceiveTimeMills = autoReceiveTimeMills;
    }

    public long getAutoOverTimeMills() {
        return autoOverTimeMills;
    }

    public void setAutoOverTimeMills(long autoOverTimeMills) {
        this.autoOverTimeMills = autoOverTimeMills;
    }

    public Integer getOutStoreNum() {
        return outStoreNum;
    }

    public void setOutStoreNum(Integer outStoreNum) {
        this.outStoreNum = outStoreNum;
    }

    public Integer getOutStoreTimes() {
        return outStoreTimes;
    }

    public void setOutStoreTimes(Integer outStoreTimes) {
        this.outStoreTimes = outStoreTimes;
    }

    public Integer getReturnGoodsStatus() {
        return returnGoodsStatus;
    }

    public void setReturnGoodsStatus(Integer returnGoodsStatus) {
        this.returnGoodsStatus = returnGoodsStatus;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }



    public CmMallUserInvoiceInfo getOrderInvoice() {
        return orderInvoice;
    }

    public void setOrderInvoice(CmMallUserInvoiceInfo orderInvoice) {
        this.orderInvoice = orderInvoice;
    }


    public String getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }

    public String getSendOutStatus() {
        return sendOutStatus;
    }

    public void setSendOutStatus(String sendOutStatus) {
        this.sendOutStatus = sendOutStatus;
    }

    public Double getShopProductAmount() {
        return shopProductAmount;
    }

    public void setShopProductAmount(Double shopProductAmount) {
        this.shopProductAmount = shopProductAmount;
    }

    public Double getShopPostFee() {
        return shopPostFee;
    }

    public void setShopPostFee(Double shopPostFee) {
        this.shopPostFee = shopPostFee;
    }

    public Double getShopTaxFee() {
        return shopTaxFee;
    }

    public void setShopTaxFee(Double shopTaxFee) {
        this.shopTaxFee = shopTaxFee;
    }

    public Double getShouldPayShopAmount() {
        return shouldPayShopAmount;
    }

    public void setShouldPayShopAmount(Double shouldPayShopAmount) {
        this.shouldPayShopAmount = shouldPayShopAmount;
    }

    public Double getPayedShopAmount() {
        return payedShopAmount;
    }

    public void setPayedShopAmount(Double payedShopAmount) {
        this.payedShopAmount = payedShopAmount;
    }

    public Double getShopOtherFee() {
        return shopOtherFee;
    }

    public void setShopOtherFee(Double shopOtherFee) {
        this.shopOtherFee = shopOtherFee;
    }

    public List<CmMallOrderProduct> getCmOrderProducts() {
        return cmOrderProducts;
    }

    public void setCmOrderProducts(List<CmMallOrderProduct> cmOrderProducts) {
        this.cmOrderProducts = cmOrderProducts;
    }

    public List<CmMallLogisticsInfo> getLogisticsInfos() {
        return logisticsInfos;
    }

    public void setLogisticsInfos(List<CmMallLogisticsInfo> logisticsInfos) {
        this.logisticsInfos = logisticsInfos;
    }

    public List<CmMallLogisticsBatch> getCmLogisticsBatches() {
        return cmLogisticsBatches;
    }

    public void setCmLogisticsBatches(List<CmMallLogisticsBatch> cmLogisticsBatches) {
        this.cmLogisticsBatches = cmLogisticsBatches;
    }

    public List<CmMallLogisticsRecord> getCmLogisticsRecords() {
        return cmLogisticsRecords;
    }

    public void setCmLogisticsRecords(List<CmMallLogisticsRecord> cmLogisticsRecords) {
        this.cmLogisticsRecords = cmLogisticsRecords;
    }

    public Integer getClubID() {
        return clubID;
    }

    public void setClubID(Integer clubID) {
        this.clubID = clubID;
    }

    public Integer getSpID() {
        return spID;
    }

    public void setSpID(Integer spID) {
        this.spID = spID;
    }

    public Integer getMainSpID() {
        return mainSpID;
    }

    public void setMainSpID(Integer mainSpID) {
        this.mainSpID = mainSpID;
    }

    public Double getBrokerage() {
        return brokerage;
    }

    public void setBrokerage(Double brokerage) {
        this.brokerage = brokerage;
    }

    public String getBuyStatus() {
        return buyStatus;
    }

    public void setBuyStatus(String buyStatus) {
        this.buyStatus = buyStatus;
    }

    public Integer getUseBeanAmount() {
        return useBeanAmount;
    }

    public void setUseBeanAmount(Integer useBeanAmount) {
        this.useBeanAmount = useBeanAmount;
    }

    public Integer getUseBeanFlag() {
        return useBeanFlag;
    }

    public void setUseBeanFlag(Integer useBeanFlag) {
        this.useBeanFlag = useBeanFlag;
    }

    public Integer getTownID() {
        return townID;
    }

    public void setTownID(Integer townID) {
        this.townID = townID;
    }

    public Double getFee() {
        return fee;
    }

    public void setFee(Double fee) {
        this.fee = fee;
    }

    public Integer getOrganizeID() {
        return organizeID;
    }

    public void setOrganizeID(Integer organizeID) {
        this.organizeID = organizeID;
    }
}