package com.caimei.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

public class CmMallUserBalanceRecord implements Serializable {
    private Integer userId;        // 用户ID
    private Integer userOrganizeID;  //组织id
    private String type;        // 收支类型：1收入，2支出
    private String balanceType;        // '余额类型：1余额抵扣，2多收退款到余额，3申请退款,4余额充值，5余额提现',
    @DateTimeFormat(pattern = "yyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date addDate;        // 添加时间
    private String amount;        // 金额
    private Integer orderId;        // 主订单ID（适用余额类型1,3[类型为3多次退款存在相同记录ID则需通过退款ID唯一区分]）
    private Integer receiptId;        // 收款ID（适用余额类型2）
    private Integer returnedId;        // 退货退款ID（适用余额类型3）
    private Integer withdrawalsId;        // 用户提现ID
    private String remark;        // 备注
    private String userName; //用户名称
    private String ableUserMoney;//用户可用余额
    private String startTime;   //开始时间
    private String endTime;     //结束时间
    private String delFlag;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getUserOrganizeID() {
        return userOrganizeID;
    }

    public void setUserOrganizeID(Integer userOrganizeID) {
        this.userOrganizeID = userOrganizeID;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getBalanceType() {
        return balanceType;
    }

    public void setBalanceType(String balanceType) {
        this.balanceType = balanceType;
    }

    public Date getAddDate() {
        return addDate;
    }

    public void setAddDate(Date addDate) {
        this.addDate = addDate;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public Integer getReceiptId() {
        return receiptId;
    }

    public void setReceiptId(Integer receiptId) {
        this.receiptId = receiptId;
    }

    public Integer getReturnedId() {
        return returnedId;
    }

    public void setReturnedId(Integer returnedId) {
        this.returnedId = returnedId;
    }

    public Integer getWithdrawalsId() {
        return withdrawalsId;
    }

    public void setWithdrawalsId(Integer withdrawalsId) {
        this.withdrawalsId = withdrawalsId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getAbleUserMoney() {
        return ableUserMoney;
    }

    public void setAbleUserMoney(String ableUserMoney) {
        this.ableUserMoney = ableUserMoney;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }
}
