package com.caimei.mapper.order;

import com.caimei.entity.*;
import com.caimei.entity.CmMallOrganizeProducts;
import com.caimei.entity.CmMallShop;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

// @Mapper
public interface OrderMapper {

    int insert(CmMallOrder cmMallOrder);

    int update(CmMallOrder cmMallOrder);

    OrderShareCode queryCode(Integer orderID);

    CmMallFreePostageCard queryFree(Integer userId);

    void updateCode(OrderShareCode orderShareCode);

    void insertCode(OrderShareCode code);

    List<CmMallShop> findShop(List<String> productIDs);

    List<CmMallOrganizeProducts> findAllCommodity(Map<String, Object> params);

    CmMallOrganizeProducts findCommodity(@Param("productIDs") String productIDs, @Param("shopID") Integer shopID);

    CmMallBpOrderUserInfo findUserInfo(Integer orderID);

    CmMallOrder findOrder(Integer orderID);

    List<CmMallShopOrder> findAllShopOrder(String[] shopOrderIDs);

    List<CmMallOrderProduct> findOrderProduct(Integer shopOrderID);

    List<CmMallDiscernReceipt> findDiscernReceipt(Integer orderID);

    List<CmMallReturnedPurchase> findReturnedPurchase(Integer orderID);

    List<CmMallLogisticsInfo> findLogisticsInfo(Integer logisticsBatchID);

    List<CmMallLogisticsRecord> findLogisticsRecord(@Param("shopOrderID") Integer shopOrderID, @Param("logisticsBatchID") Integer logisticsBatchID);

    CmMallShareCodeRecord findShareCodeRecord(@Param("openid") String openid, @Param("orderID") Integer orderID);

    void saveShareCodeRecord(CmMallShareCodeRecord codeRecord);

    List<CmMallOrder> findAllOrder(@Param("userID") Integer userID, @Param("orderState") Integer orderState, @Param("organizeID") Integer organizeID);

    String findShareCode(Integer orderID);

    List<CmMallOrganizeProducts> oftenPurchase(@Param("userID") Integer userID, @Param("organizeID") Integer organizeID);

    void deleteReceiptOrderRelation(Integer orderID);

    void deleteDiscernReceipt(Integer id);

    List<CmMallPayShopRecord> findPayShopRecord(Integer shopOrderID);

    void deletePayShopRecord(Integer shopOrderID);

    void updatePayShop(Integer id);

    void updateLogisticsBatch(Integer orderID);

    //获取订单发票信息
    CmMallOrderInvoice getOrderInvoice(@Param("orderId") Integer orderId);

    //保存订单发票信息
    void insertOrderInvoice(CmMallOrderInvoice cmMallOrderInvoice);

    void deleteCodeRecord(Integer orderID);

    List<String> findShopOrderID(@Param("orderID") Integer orderID, @Param("id") Integer id);

    List<CmMallLogisticsBatch> findLogistics(Integer orderID);

    CmMallProductsClassify findClassifyID(String classifyID);

    CmMallProductLadderPrice findLadderPrice(Integer id);
}
